# $Revision: 1.9 $, $Date: 2003/12/05 00:58:04 $
Summary:	pbbuttonsd client that allows to adjust some options through a GTK user interface
Summary(pl):	Klient pbbuttonsd pozwalajcy zmieni niektre opcje poprzez interfejs w GTK
Name:		powerprefs
Version:	0.4.2
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.cymes.de/members/joker/projects/pbbuttons/tar/%{name}-%{version}.tar.gz
# Source0-md5:	f57c9c00ba4417877e1a1504521ef37d
URL:		http://www.cymes.de/members/joker/projects/pbbuttons/powerprefs.html
BuildRequires:	autoconf
BuildRequires:	gtk+-devel
BuildRequires:	pbbuttonsd-lib
Requires:	pbbuttonsd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  ppc

%description
This client for pbbuttonsd makes some options easy adjustable through
a GTK user interface. Following options could directly be changed:
 * trackpad mode
   How the trackpad is configured.
 * keyboard mode
   How the keyboard is configured.
 * dosleep
   switches sleepmode temporarly off, for eg. long term compiler runs.
 * snoozedelay
   Should the snooze key react immediatly or delayed.
 * ejectdelay
   Should the eject-CD key react immediatly or delayed.
 * mixerdelay
   Should the sound routines be initalized on startup or later.

%description -l pl
Ten klient pbbuttonsd pozwala atwo zmieni niektre opcje poprzez
interfejs uytkownika oparty na GTK. Mona ustali:
- tryb trackpada
- tryb klawiatury
- czy komputer ma wchodzi w tryb upienia
- czy usypanie przyciskiem ma by natychmiastowe, czy z opnieniem
- czy wysuwanie CD ma by natychmiastowe, czy z opnieniem
- czy dwik ma by inicjalizowany natychmiast po starcie, czy pniej.

%prep
%setup -q

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: powerprefs.spec,v $
Revision 1.9  2003/12/05 00:58:04  speedy
- updated md5sum

Revision 1.8  2003/12/05 00:54:33  speedy
bump version

Revision 1.7  2003/05/25 06:25:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/15 08:45:29  qboosh
- removed INSTALL from doc (generic), fixed files (use find_lang)

Revision 1.5  2003/04/13 06:15:22  speedy
- only for ppc 8=)

Revision 1.4  2003/04/13 06:10:35  speedy
- upgraded to 0.3.1
- fixed %%install

Revision 1.3  2002/05/21 23:14:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/09 22:24:33  qboosh
- pl description, shortened summaries, removed pre/postun (belong to
  pbbuttonsd package)

Revision 1.1  2002/04/23 08:01:16  marcus
- initial version, nfy
